Bug 189394 - security/gnupg fails to generate pgp key due to missing depend on security/pinentry
security/gnupg fails to generate pgp key due to missing depend on security/pi...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-06 16:40 UTC by Sean Bruno
Modified: 2014-06-24 14:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Bruno freebsd_committer 2014-05-06 16:40:00 UTC
In a clean environment, install security/gnupg and attempt to generate a project key as per http://www.freebsd.org/doc/en/articles/committers-guide/pgpkeys.html

The attempt will fail at the point it wants a passphrase for the key.

Fix: 

Install security/pinentry explicitly
How-To-Repeat: In a clean environment, install security/gnupg and attempt to generate a project key as per http://www.freebsd.org/doc/en/articles/committers-guide/pgpkeys.html

The attempt will fail at the point it wants a passphrase for the key.
Comment 1 Edwin Groothuis freebsd_committer 2014-05-06 16:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sean Bruno freebsd_committer 2014-06-21 16:53:24 UTC
Ah, I see.

PINENTRY is not a default option for gnupg.  Since this is required for project things, I would like to see this turned on for gnupg.

Index: Makefile
===================================================================
--- Makefile	(revision 358654)
+++ Makefile	(working copy)
@@ -36,7 +36,7 @@
 KDNS_DESC=		Use DNS CERT helper
 STD_SOCKET_DESC=	Use standard socket for agent
 SUID_GPG_DESC=		Install GPG with suid
-OPTIONS_DEFAULT=	CURL
+OPTIONS_DEFAULT=	PINENTRY CURL
 NO_OPTIONS_SORT=	YES
 OPTIONS_SUB=		YES
Comment 3 Jun Kuriyama freebsd_committer 2014-06-24 14:43:40 UTC
Committed, thanks!